Create Company Address

Creates an address for a Company account, if address book management is enabled for your storefront. You can designate whether the address is for shipping, billing, or both. Equivalent Storefront GraphQL API Mutation: `addressCreate`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Path parameters

companyIdstringRequired

Request

This endpoint expects an object.
addressLine1stringOptional
The first line of the address
addressLine2stringOptional
The second line of the address
citystringOptional
City of the address.
countryobjectOptional

Country of the address as an object with both the name and the two-character code.

extraFieldslist of objectsOptional
firstNamestringOptional
The first name of the address.
isBillingstringOptional
Indicates whether the address can be used as a billing address.
isDefaultBillingstringOptional
Indicates whether the address is the default billing address for the Company account.
isDefaultShippingstringOptional
Indicates whether the address is the default shipping address for the Company account.
isShippingstringOptional
Indicates whether the address can be used as a shipping address.
labelstringOptional
The label used on the storefront to identify the address.
phoneNumberstringOptional
The phone number associated with the address.
stateobjectOptional

State of the address as an object with both the name and the two-character code.

zipCodestringOptional
Zip or Postal Code of the address.

Response

OK
codedoubleDefaults to 200
dataobject
messagestringDefaults to SUCCESS